:root {
    --primary-blue: #7340FF;
    --primary-purple: #566bff;
    --orange: #FFB648;
    --gray-100: #f7fafc;
    --gray-700: #4a5568;
    --gray-900: #1a202c;
}

* { margin: 0; padding: 0; box-sizing: border-box; }
body { width: 100%;font-family: -apple-system,BlinkMacSystemFont,'Segoe UI','PingFang SC',"Hiragino Sans GB","Microsoft YaHei",sans-serif; color: var(--gray-900); line-height: 1.7; }
a { color: inherit; text-decoration: none; }

/* -------------- 通用容器 -------------- */
.container { width: 100%; max-width: 1160px; margin: 0 auto; }

/* -------------- 顶部导航 -------------- */
.nav {
    position: fixed; top: 0; left: 0; width: 100%; height: 64px;
    display: flex; align-items: center;
    z-index: 10; background-color: transparent; transition: background-color 0.2s linear;
    color: #fff;
}
.nav.scrolled { background-color: #fff; box-shadow: 0 2px 8px rgba(0,0,0,.05); color: #333 }
.nav-content { display: flex; align-items: center; justify-content: space-between; width: 100%; }
.logo { display: flex; align-items: center; margin-right: 74px; }
.logo img { width: 100px; height: auto; }

.nav-links a { font-size: 18px; font-weight: 600; transition: color .3s; }
.nav-links a:hover { opacity: .8; }

.lang-btn {
    height: 36px;
    border-radius: 36px;
    padding: 6px;
    background: rgb(149, 111, 253);
    display: flex;
    align-items: center;
    gap: 9px;
    cursor: pointer;
    user-select: none;
}
.lang-btn > img {
    width: 24px;
    height: 24px;
}
.lang-btn > span {
    padding-right: 10px;
    font-size: 16px;
    font-weight: 600;
    color: #FFFFFF;
}

/* -------------- Hero 区域 -------------- */
.hero-inner { height: 100%; display: flex; align-items: center; justify-content: center; }
.hero-text { padding-top: 55px; display: flex; flex-direction: column; align-items: center; }
.hero-title { font-size: 44px; font-weight: 600; color: #fff; line-height: 1.5; margin-bottom: 55px; text-align: center; }

.download-box-cn {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 24px;
}
.m-download-box-cn {
    display: none;
    flex-direction: column;
    align-items: stretch;
}
.m-download-box-en {
    display: flex;
    flex-direction: row;
    gap: 12px;
}
.m-down-title {
    font-size: 18px;
    color: #FFFFFF;
    text-align: center;
    margin-bottom: 16px;
}
.m-down-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    width: 240px;
    height: 68px;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.2s linear;
    user-select: none;
}
.m-down-btn:hover {
    transform: translate(1px, 1px);
}
.m-down-btn > img {
    width: 38px;
    height: 38px;
}
.m-down-btn > span {
    font-size: 24px;
    font-weight: 600;
    color: #FFFFFF;
}
.m-down-btn-ios {
    background: #333333;
    box-shadow: 0 4px 10px 0 rgba(5, 20, 91, 0.6);
    margin-bottom: 16px;
}
.m-down-btn-and {
    background: #65AF42;
    box-shadow: 0 4px 10px 0 rgba(5, 20, 91, 0.6);
}
.download-box-cn > .app-box {
    width: 136px;
    padding: 8px;
    border-radius: 20px;
    background: #F7A529;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}
.download-box-cn > .app-box > .down-box-title {
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    color: #FFFFFF;
}
.download-box-cn > .app-box > .icon-box {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    padding: 4px 0 8px;
}
.download-box-cn > .app-box > .icon-box > img {
    width: 20px;
    height: 20px;
}
.download-box-cn > .app-box > .icon-box > div {
    width: 2px;
    height: 11px;
    background: #FFFFFF;
    border-radius: 2px;
}
.down-app-qrcode {
    width: 120px;
    height: 120px;
    align-self: center;
}
.down-app-logo {
    width: 62px;
    height: 62px;
    margin-top: 6px;
    margin-bottom: 16px;
    align-self: center;
}
.download-pkg {
    height: 36px;
    line-height: 36px;
    border-radius: 20px;
    background: #7340FF;
    font-size: 18px;
    font-weight: 600;
    color: #FFFFFF;
    text-align: center;
    user-select: none;
    cursor: pointer;
    transition: all 0.2s linear;
}
.download-pkg:hover { background: rgba(115, 64, 255, 0.9); }

.m-down-btn-en {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    width: 234px;
    height: 68px;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.2s linear;
    user-select: none;
    background: #040404;
    box-sizing: border-box;
    border: 1px solid #CCCCCC;
}
.m-down-btn-en:hover {
    transform: translate(1px, 1px);
}
.m-down-btn-en > img {
    width: 32px;
    height: 32px;
}
.m-down-btn-en > div {
    display: flex;
    flex-direction: column;
}
.m-down-btn-en > div > span:nth-child(1) {
    font-size: 16px;
    color: #FFFFFF;
    line-height: 1;
}
.m-down-btn-en > div > span:nth-child(2) {
    font-size: 26px;
    color: #FFFFFF;
    line-height: 36px;
}

.en-qrcode-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 16px;
}
.en-qrcode-box > img {
    width: 92px;
    height: 92px;
    margin-bottom: 8px;
}
.en-qrcode-box > span {
    font-size: 14px;
    color: #FFFFFF;
}

/* -------------- 功能区域 -------------- */
.section { padding: 120px 20px 100px; background: #fff; }
.section:nth-of-type(odd) { background: #f8f8f8; }
.feature { display: flex; align-items: flex-start; justify-content: space-between; }
.feature.reverse { flex-direction: row-reverse; }
.feature-text { max-width: 630px; min-width: 320px; flex-shrink: 0; padding-top: 40px; }
.feature-title {
    font-size: 40px;
    font-weight: 600;
    line-height: 56px;
    color: var(--primary-blue);
    margin-bottom: 32px;
}
.feature span { color: #333; }
.feature-sub-title {
    font-size: 22px;
    font-weight: 600;
    line-height: 31px;
    color: #333333;
}
.feature-sub-title span { color: var(--primary-blue) }
.feature-list { list-style: none; }
.feature-list li {
    line-height: 39px;
    font-size: 28px;
    color: #333333;
}
.feature-list li span { color: var(--primary-blue) }
.feature-list li:not(:last-child) { margin-bottom: 24px; }

.feature-img {
    width: 439px;
    height: auto;
}

/* -------------- 页脚 -------------- */
.footer { background: #333333; color: #666; padding: 80px 55px 0; height: 326px; box-sizing: border-box; }
.footer-content { display: flex; justify-content: flex-start; flex-wrap: wrap; gap: 273px; }
.footer p { color: #666666; margin-bottom: 8px; font-size: 16px; line-height: 22px; font-weight: 500; }
.download-bar { display: none; padding: 0 16px; }
.download-bar > img {
    width: 62px;
    height: 62px;
}
.db-down-app {
    width: 120px;
    height: 42px;
    line-height: 42px;
    text-align: center;
    border-radius: 42px;
    background: #04D2BD;
    font-size: 16px;
    font-weight: 600;
    color: #FFFFFF;
    cursor: pointer;
    user-select: none;
    transition: all 0.2s linear;
    border-bottom: solid 2px rgba(0, 0, 0, 0.2);
}
.db-down-app:hover {
    transform: translate(1px, 1px);
}
.db-down-desc {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.db-down-desc > div:nth-child(1) {
    display: flex;
    align-items: center;
    gap: 12px;
}
.db-down-desc > div:nth-child(1) > span {
    line-height: 34px;
    font-size: 24px;
    font-weight: 600;
    color: #7340FF;
}
.db-down-desc > div:nth-child(1) > div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    width: 54px;
    height: 22px;
    border-radius: 22px;
    background: #7340FF;
}
.db-down-desc > div:nth-child(1) > div > img {
    width: 13px;
    height: 13px;
}
.db-down-desc > div:nth-child(1) > div > div {
    width: 1px;
    height: 12px;
    background: #DDDFFC;
}
.db-down-desc > div:nth-child(2) {
    line-height: 21px;
    font-size: 16px;
    color: #333333;
}

.mask { position: fixed; inset: 0; background: rgba(0,0,0,.6); display: none; align-items: center; justify-content: center; z-index: 9999; }
.guide { width: 224px; position: absolute;top: 0; right: 15px; }
.toast { position: fixed; left: 50%; top: 50%; transform: translateX(-50%) translateY(-50%); background: rgba(0,0,0,.85); color: #fff; padding: 10px 14px; border-radius: 8px; font-size: 14px; line-height: 1.4; max-width: 80%; box-shadow: 0 8px 24px rgba(0,0,0,.25); opacity: 0; pointer-events: none; transition: opacity .2s ease, transform .2s ease; z-index: 10000; }
.toast.show { opacity: 1; transform: translateX(-50%) translateY(0); }

/* -------------- 响应式 -------------- */
@media(max-width: 1200px) {
    .nav-content { padding: 0 12px; }
    .feature { flex-direction: column; gap: 50px; align-items: center }
    .feature.reverse { flex-direction: column; }
    .feature-img { width: 60% !important; }
    .section {
        padding: 100px 24px;
    }
    .footer {
        padding: 24px;
        /*height: auto;*/
    }
    .footer-content {
        flex-direction: column;
        gap: 32px;
    }
}

@media(max-width: 768px) {
    .section {
        padding: 48px 24px;
    }
    .hero-title { font-size: 32px; padding: 0 12px; }
    .feature-title { font-size: 30px; line-height: 1.5; }
    .feature-sub-title { font-size: 18px; line-height: 1.2 }
    .feature-list li { font-size: 20px; line-height: 1.2; }
    .feature-list li:not(:last-child) { margin-bottom: 15px; }
    .footer {
        padding: 24px 24px 150px;
        height: auto;
    }

    .en-qrcode-box {
        display: none;
    }
    .download-box-cn {
        display: none;
    }
    .m-download-box-cn {
        display: flex;
    }
    .m-download-box-en {
        flex-direction: column;
        align-items: stretch;
        gap: 16px;
    }
    .download-bar {
        display: flex;
        align-items: center;
        gap: 12px;
        height: 100px;
        background: url("/public/download/bg.png");
        background-size: cover;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 999;
    }
}
